# Enum AsyncMedia.MediaErrorType

java.lang.Object
java.lang.Enum<AsyncMedia.MediaErrorType>
com.codename1.media.AsyncMedia.MediaErrorType

All Implemented Interfaces:
  `Comparable<AsyncMedia.MediaErrorType>`

Enclosing interface:
  `AsyncMedia`

public static enum AsyncMedia.MediaErrorType extends Enum<AsyncMedia.MediaErrorType>

Enum encapsulating the different types of media errors that can occur.

##### Since

type.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Aborted`
  The fetching of the associated resource was aborted by the user's request.
  `Decode`
  Despite having previously been determined to be usable, an error occurred while trying to decode the media resource, resulting in an error.
  `Encode`
  `LineUnavailable`
  `Network`
  Some kind of network error occurred which prevented the media from being successfully fetched, despite having previously been available.
  `SrcNotSupported`
  The associated resource has been found to be unsuitable.
  `Unknown`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AsyncMedia.MediaErrorType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AsyncMedia.MediaErrorType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Aborted

    public static final AsyncMedia.MediaErrorType Aborted
    The fetching of the associated resource was aborted by the user's request.

  - ### Network

    public static final AsyncMedia.MediaErrorType Network
    Some kind of network error occurred which prevented the media from being successfully fetched, despite having previously been available.

  - ### Decode

    public static final AsyncMedia.MediaErrorType Decode
    Despite having previously been determined to be usable, an error occurred while trying to decode the media resource, resulting in an error.

  - ### Encode

    public static final AsyncMedia.MediaErrorType Encode

  - ### SrcNotSupported

    public static final AsyncMedia.MediaErrorType SrcNotSupported
    The associated resource has been found to be unsuitable.

  - ### Unknown

    public static final AsyncMedia.MediaErrorType Unknown

  - ### LineUnavailable

    public static final AsyncMedia.MediaErrorType LineUnavailable

- ## Method Details

  - ### values

    public static AsyncMedia.MediaErrorType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AsyncMedia.MediaErrorType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null